//{block name="backend/article/controller/detail"}
//{$smarty.block.parent}
Ext.define('Shopware.apps.Article.controller.MyDetail', {
    override: 'Shopware.apps.Article.controller.Detail',

    onSaveArticle: function(win, article, options) {
        var me = this,
            originalCallback = options.callback;

        var customCallback = function(newArticle, success) {
            Ext.callback(originalCallback, this, arguments);
            if(me.getBaseFieldSet().attrField_lb1.getValue()){
                var wert = 1;
            }else{
                var wert = 0;
            }

            var config_id = me.getDetailForm().getForm().getFieldValues()['attribute[lbConfigId]'];
            var lb_layout_id = me.getDetailForm().getForm().getFieldValues()['attribute[lbLayoutId]'];

            Ext.Ajax.request({
                method: 'POST',
                url: '{url controller=AttributeData action=saveData}',
                params: {
                    _foreignKey: newArticle.get('mainDetailId'),
                    _table: 's_articles_attributes',
                    __attribute_lb_use_for_layout: wert,
                    __attribute_lb_config_id: config_id,
                    __attribute_lb_layout_id: lb_layout_id
                }
            });
        };

        if (!options.callback || options.callback.toString() !== customCallback.toString()) {
            options.callback = customCallback;
        }

        me.callParent([win, article, options]);
    }
});
//{/block}