{block name="frontend_index_header_css_screen" append}
    <style type="text/css">
        .lb_thumb_image img {
            max-width: 100%;
            max-height: 100%;
        }
        .table .table_row .basket_details {
            position: static;
            padding-top: 15px;
            margin-left: 95px;
        }
        .table .table_row a.thumb_image {
            float: left;
        }
    </style>
{/block}

{block name="frontend_index_header_javascript_jquery" append}
    <script type="text/javascript" charset="utf-8">
    (document.asyncReady || $)(function() {
        $('.lb_thumb_image').click(function() {
            window.open($(this).attr('href'), "preview","menubar=false,resizable=1,width=620,height=620");
            return false;
        });
        $('.lb_edit_link').each(function($el) {
            $(this).attr('href', $(this).attr('href') + '#/layout_id-' + $(this).attr('data-id'));
        });
    })
    </script>
{/block}

{block name='frontend_checkout_cart_item_image'}
{if $sBasketItem.lb_layout_id}
    {assign var='itemId' value=$sBasketItem.id} 
    {if $layoutbuddyPreviewInfo.$itemId}
        <a href="{$layoutbuddyPreviewInfo.$itemId.preview}" title="{$sBasketItem.articlename|strip_tags}" class="thumb_image lb_thumb_image">
            <img src="{$layoutbuddyPreviewInfo.$itemId.thumb}" border="0" alt="{$sBasketItem.articlename}" style="max-width: 120px" />
        </a>
    {/if}
{else}
    {if $sBasketItem.image.src.0}
        <a href="{$sBasketItem.linkDetails}" title="{$sBasketItem.articlename|strip_tags}" class="thumb_image">
            <img src="{$sBasketItem.image.src.1}" border="0" alt="{$sBasketItem.articlename}" />
        </a>
    {else}
        <img class="no_image" src="{link file='frontend/_resources/images/no_picture.jpg'}" alt="{$sBasketItem.articlename}" />
    {/if}
{/if}
{/block}

{block name="frontend_checkout_cart_item_details_inline" append}
{if $sBasketItem.lb_layout_id}    
    <p class="ordernumber" style="clear: both">
        {if $layoutbuddyShowOptions}
        {assign var='options' value=$sBasketItem.lb_layout_options|json_decode:1}
        {foreach from=$options item=option}
            Option: {$option.qty}x {$option.label}<br />
        {/foreach}
        {/if}
        <a class="lb_edit_link" href="{$sBasketItem.linkDetails}" data-id="{$sBasketItem.lb_layout_id}">» Layout bearbeiten</a>
    </p>
{/if}
{/block}